Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class ExtendedProperty

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.ExtendedProperty

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class ExtendedProperty

extends org.eclipse.birt.report.model.core.Structure

This class represents one Extended property.

Field Summary
`static java.lang.String` | `Extended_PROPERTY_STRUCT` The Extended property structure name.
`static java.lang.String` | `NAME_MEMBER` The member name of the name of Extended property.
`static java.lang.String` | `VALUE_MEMBER` The member name of the value of Extended property.

Constructor Summary
`ExtendedProperty()` Default constructor.
`ExtendedProperty(java.lang.String name, java.lang.String value)` Constructs the extended property with the given name and value.

Method Summary
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)` Returns the value of a structure property represented as a member variable.
`java.lang.String` | `getName()` Returns the Extended property name.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`java.lang.String` | `getValue()` Returns the Extended property value.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)` Creates the specific handle of this structure.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)` Sets the value of of a structure property represented as a member variable.
`void` | `setName(java.lang.String name)` Sets the Extended property name.
`void` | `setValue(java.lang.String value)` Sets the Extended property value.
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Validate whether this structure is valid.

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getDefn, getElement, getHandle, getHandle, getListMemberRef, getLocalProperty, getLocalProperty, getObjectDefn, getProperty, getProperty, getReferencableProperty, isDesignTime, isReferencable, setContext, setProperty, setProperty, updateReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Extended_PROPERTY_STRUCT

    public static final java.lang.String Extended_PROPERTY_STRUCT

  The Extended property structure name.

  See Also:
    Constant Field Values

### NAME_MEMBER

    public static final java.lang.String NAME_MEMBER

  The member name of the name of Extended property.

  See Also:
    Constant Field Values

### VALUE_MEMBER

    public static final java.lang.String VALUE_MEMBER

  The member name of the value of Extended property.

  See Also:
    Constant Field Values

Constructor Detail

### ExtendedProperty

    public ExtendedProperty()

  Default constructor.

### ExtendedProperty

    public ExtendedProperty(java.lang.String name,
                            java.lang.String value)

  Constructs the extended property with the given name and value.

  Parameters:
    `name` - the name of a extended property
    `value` - the value of a extended property

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Returns the value of a structure property represented as a member variable.

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - name of the property
  Returns:
    the value of the property, or null if the property is not set

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Sets the value of of a structure property represented as a member variable.

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - the name of the property to set
    `value` - the property value

### getName

    public java.lang.String getName()

  Returns the Extended property name.

  Returns:
    the Extended property name

### setName

    public void setName(java.lang.String name)

  Sets the Extended property name.

  Parameters:
    `name` - the Extended property name to set

### getValue

    public java.lang.String getValue()

  Returns the Extended property value.

  Returns:
    the Extended property value

### setValue

    public void setValue(java.lang.String value)

  Sets the Extended property value.

  Parameters:
    `value` - the Extended property value to set

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Validate whether this structure is valid. The derived class should override this method if semantic check is needed. The each error is the instance of `PropertyValueException`.

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `module` - the module
    `element` - the element contains this structure
  Returns:
    the semantic error list

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Creates the specific handle of this structure. This handle is always created.

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
    `index` - the position of this structure in structure list
  Returns:
    the handle of this structure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.